| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_SEQ_REMOVE

BOOST_VMD_SEQ_REMOVE — removes an element from a seq.

## Synopsis

    // In header: <boost/vmd/seq/remove.hpp>

    BOOST_VMD_SEQ_REMOVE(seq, index)

## Description

seq = seq from which an element is to be removed.
index = The zero-based position in seq of the element to be removed.

If index is greater or equal to the seq size the result is undefined. If the seq is a single element and the index is 0 the result is an empty seq. Otherwise the result is a seq after removing the index element.